function xReturn = getAphiaAttributeValuesByCategoryID(obj,id)
%getAphiaAttributeValuesByCategoryID(obj,id)
%
%   <strong>Get list values that are grouped by an CateogryID</strong>
%   		<br />Parameters:
%   		<ul>
%   			<li><u>id</u>: The CateogryID to search for</li>
%   		</ul>
%   		<br />Returns definition objects that have the following structure:
%   		<br /> <ul><li>	<u><b>measurementValueID</b></u> : An identifier for facts stored in the column measurementValue</li><li>	<u><b>measurementValue</b></u> : The value of the measurement, fact, characteristic, or assertion</li><li>	<u><b>measurementValueCode</b></u> : Additional info/code that helps to the describe/define the measurementValue</li><li>	<u><b>children</b></u> : Child measurementValues that are more specific</li></ul>
%   
%     Input:
%       id = (int)
%   
%     Output:
%       return{:} = (AttributeValue)

% Build up the argument lists.
values = { ...
   id, ...
   };
names = { ...
   'id', ...
   };
types = { ...
   '{http://www.w3.org/2001/XMLSchema}int', ...
   };

% Create the message, make the call, and convert the response into a variable.
soapMessage = createSoapMessage( ...
    'http://aphia/v1.0/AttributeValues', ...
    'getAphiaAttributeValuesByCategoryID', ...
    values,names,types,'rpc');
response = callSoapService( ...
    obj.endpoint, ...
    'getAphiaAttributeValuesByCategoryID', ...
    soapMessage);
xReturn = parseSoapResponse(response);
