function xReturn = getAphiaVernacularsByID(obj,AphiaID)
%getAphiaVernacularsByID(obj,AphiaID)
%
%   <strong>Get all vernaculars for a given AphiaID</strong>
%   
%     Input:
%       AphiaID = (int)
%   
%     Output:
%       return{:} = (Vernacular)

% Build up the argument lists.
values = { ...
   AphiaID, ...
   };
names = { ...
   'AphiaID', ...
   };
types = { ...
   '{http://www.w3.org/2001/XMLSchema}int', ...
   };

% Create the message, make the call, and convert the response into a variable.
soapMessage = createSoapMessage( ...
    'http://aphia/v1.0/AphiaVernaculars', ...
    'getAphiaVernacularsByID', ...
    values,names,types,'rpc');
response = callSoapService( ...
    obj.endpoint, ...
    'getAphiaVernacularsByID', ...
    soapMessage);
xReturn = parseSoapResponse(response);
